{
  services.outline = {
    port = 3019;
    databaseUrl = "postgresql://outline:outline@127.0.0.1:5432/outline";
    storage = "local";
  };
  # Traefik configuration specific to littlelink
  services.traefik.dynamicConfigOptions.http = {
    services.outline.loadBalancer.servers = [
      {
        url = "http://localhost:3019/";
      }
    ];

    routers.outline = {
      rule = "Host(`ol.m3ta.dev`)";
      tls = {
        certResolver = "godaddy";
      };
      service = "outline";
      entrypoints = "websecure";
    };
  };
}
